Bug 29516 - Remove dependency on IO::Scalar
Summary: Remove dependency on IO::Scalar
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-18 11:43 UTC by Julian Maurice
Modified: 2022-01-17 07:20 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29516: Remove dependency on IO::Scalar (1.95 KB, patch)
2021-11-18 11:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 29516: Remove dependency on IO::Scalar (2.02 KB, patch)
2021-12-15 09:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2021-11-18 11:43:18 UTC
IO::Scalar is used in Koha::App::Plugin::CGIBinKoha to create a filehandle tied to a scalar.
Perl has this feature built in since 5.8.0 so IO::Scalar is not needed
Comment 1 Julian Maurice 2021-11-18 11:43:50 UTC
Created attachment 127785 [details] [review]
Bug 29516: Remove dependency on IO::Scalar

IO::Scalar is used in Koha::App::Plugin::CGIBinKoha to create a
filehandle tied to a scalar.
Perl has this feature built in since 5.8.0 so IO::Scalar is not needed

I'm not sure how to test this, since it should behave exactly the same
with or without the patch, but we can at least verify that it doesn't
introduce encoding issues.

Test plan:
1. Run `morbo bin/intranet`
2. Go to http://localhost:3000
3. Create a bibliographic record with some non-latin characters (try
   emoji characters for instance). Verify that there is no visible
   encoding issues.
4. Save this record as MARCXML and re-import it as a new record using
   Tools » Stage MARC records for import. Verify that the new record has
   no visible encoding issues
5. `git grep IO::Scalar` should not return any result
Comment 2 Jonathan Druart 2021-12-15 09:20:13 UTC
Created attachment 128548 [details] [review]
Bug 29516: Remove dependency on IO::Scalar

IO::Scalar is used in Koha::App::Plugin::CGIBinKoha to create a
filehandle tied to a scalar.
Perl has this feature built in since 5.8.0 so IO::Scalar is not needed

I'm not sure how to test this, since it should behave exactly the same
with or without the patch, but we can at least verify that it doesn't
introduce encoding issues.

Test plan:
1. Run `morbo bin/intranet`
2. Go to http://localhost:3000
3. Create a bibliographic record with some non-latin characters (try
   emoji characters for instance). Verify that there is no visible
   encoding issues.
4. Save this record as MARCXML and re-import it as a new record using
   Tools » Stage MARC records for import. Verify that the new record has
   no visible encoding issues
5. `git grep IO::Scalar` should not return any result

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2021-12-15 09:20:27 UTC
Trivial, skipping QA.
Comment 4 Fridolin Somers 2022-01-14 02:38:31 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄